Subject: No follow up
From: Vimal Tewari <[email-masked]>
To: Phaedrus Arif <[email-masked]>
Date: Fri, 2 Apr 2021 10:04:18 -0700 (MST)

Hi Arif, 

Hope you are doing great!! 

This is just to inform you Arif, I see only I'm following up for USA orders, Harsh was there in 1pm-10pm shift and he is not doing so. And, this is not about today I'm observing this from last week!! 

I don't know what's going on because there is an international order too and that is suppose to be rejected but no body cares, no one is following up!! 

I have no idea whether they guys are waiting for me to do so or what, I really have no clue!! 

Therefore, I urge you Arif please look into this and get it fix cause there is no reason we are not kids, we all are working here getting paid everybody not only me hence, we all must adhere the process. 

Thanks & Regards 
Vimal Tewari